Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153293 - "mess" on root window after using scrollbar in a terminal (but only at certain resolutions)
Summary: "mess" on root window after using scrollbar in a terminal (but only at certai...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-04-04 15:44 UTC by Telsa Gwynne
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: FC4 + updates
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-24 23:57:46 UTC


Attachments (Terms of Use)
"mess" on root window (deleted)
2005-04-04 15:50 UTC, Telsa Gwynne
no flags Details
xorg.conf (deleted)
2005-04-11 12:26 UTC, Telsa Gwynne
no flags Details
Xorg.0.log (deleted)
2005-04-11 12:27 UTC, Telsa Gwynne
no flags Details

Description Telsa Gwynne 2005-04-04 15:44:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20041020

Description of problem:
Nice Dell LCD monitor designed to be used at 1280x1024.
At 800x600, I can reliably generate horizontal lines across
the root window which should not be there. This does not
happen on 1280x1024.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install fc4test 1 on athlon with radeon 9000, with an LCD monitor
designed to work at 1280x1024.  
2. End up at 800x600 (this is a separate bug, #153292)
3. open gnome-terminal
4. generate lots of scrollback (running yelp from the command line should
do it, or just ls -R /etc)
5. Grab scrollbar and whizz it up and down really fast lots.
  

Actual Results:  Horizontal lines start appearing on the root window (not in
the terminal)


Expected Results:  Well, root window remains un-lined. 

Additional info:

I am sure I can go back and try other resolutions if necessary.

Comment 1 Telsa Gwynne 2005-04-04 15:50:20 UTC
Created attachment 112656 [details]
"mess" on root window

There is a blue line (which is hard to see) to the right of
the gnome-terminal, level with the first line of text in it.

There is a yellow line lower down the screen on both sides
of the gnome-terminal.

They weren't there before I whizzed the scrollbar up and down.

Comment 2 Mike A. Harris 2005-04-11 11:12:39 UTC
Hi Telsa,

Can you attach your X server config and log file?  Kevin has been investigating
an issue which sounds very similar to this one.  It might be the same issue,
so I've CC'd him for comment.

Comment 3 Telsa Gwynne 2005-04-11 12:26:29 UTC
Created attachment 112941 [details]
xorg.conf

Comment 4 Telsa Gwynne 2005-04-11 12:27:12 UTC
Created attachment 112942 [details]
Xorg.0.log

Comment 5 Kevin E. Martin 2005-04-11 15:59:46 UTC
Hi Telsa,

The issue I've been working on is regarding Render acceleration, but from the
log file, Render accel is disabled, so this appears to be something completely
different.

I would suggest trying to disable the usual culprits to help narrow down which
part of the code is causing these glitches.  I'd first try to disable all
acceleration with:
  Option "NoAccel"
in the Device section of your xorg.conf file.

Also, Mike, it's not necessary to add me to the CC list since I get a copy of
these bugs through the xgl-maint alias.  I'll remove myself so I don't get two
copies.


Comment 6 Mike A. Harris 2005-04-20 11:00:09 UTC
Telsa, does Option "noaccel" change anything?

Comment 7 Mike A. Harris 2005-08-30 06:48:48 UTC
We need to know if "noaccel" prevents the problem from occuring.  If so,
we need to know if commenting out 'noaccel' and using any of the "XaaNo..."
options in the xorg.conf manpage make the problem go away or lessen the
problem at all.

Be sure to update to the latest xorg-x11 release for FC4 for testing the
above.



Comment 8 Mike A. Harris 2005-08-30 06:49:54 UTC
Setting status to "NEEDINFO_REPORTER", awaiting results of testing
from comments 5 through 7.

Thanks in advance.

Comment 9 Mike A. Harris 2005-09-24 23:57:46 UTC
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".


Note You need to log in before you can comment on or make changes to this bug.